Module | Sequel::SQL::NoBooleanInputMethods
In: | lib/sequel/sql.rb

This module augments the default initalize method for the ComplexExpression subclass it is included in, so that attempting to use boolean input when initializing a NumericExpression or StringExpression results in an error.

### Methods

new

### Public Class methods

new(op, *args)

Raise an Error if one of the args would be boolean in an SQL context, otherwise call super.

[Source]

         # File lib/sequel/sql.rb, line 296
    296:       def initialize(op, *args)
    297:         args.each do |a|
    298:           case a
    299:           when BooleanExpression, TrueClass, FalseClass, NilClass, Hash, Array
    300:             raise(Error, "cannot apply #{op} to a boolean expression")
    301:           end
    302:         end
    303:         super
    304:       end

[Validate]